Announcement

Collapse
No announcement yet.

Problem trying to upgrade from v 3.8.4 PL2 to v. 4.0

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] Problem trying to upgrade from v 3.8.4 PL2 to v. 4.0

    • Updating user table

    Database error The The American Mommy database has encountered a problem. Please try the following:
    • Load the page again by clicking the Refresh button in your web browser.
    • Open the www.theamericanmommy.com home page, then try to open another page.
    • Click the Back button to try another link.

    The www.theamericanmommy.com forum technical staff have been notified of the error, though you may contact them if the problem persists.
    We apologise for any inconvenience.
    Database error in vBulletin 3.8.4:

    Invalid SQL:
    UPDATE user SET options = options |;

    MySQL Error : You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
    Error Number : 1064
    Request Date : Sunday, January 3rd 2010 @ 09:11:05 AM
    Error Date : Sunday, January 3rd 2010 @ 09:11:05 AM
    Script : http://www.theamericanmommy.com/foru...0a1.php?step=4
    Referrer : http://www.theamericanmommy.com/foru...0a1.php?step=3
    IP Address : 74.103.61.194
    Username :
    Classname : vB_Database
    MySQL Version : 5.0.67.d7-ourdelta-log
    I don't know what this means, or how to fix it.
    Database error in vBulletin 3.8.4: Invalid SQL: UPDATE user SET options = options |; MySQL Error : You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 Error Number : 1064 Request Date : Sunday, January 3rd 2010 @ 09:11:05 AM Error Date : Sunday, January 3rd 2010 @ 09:11:05 AM Script : http://www.theamericanmommy.com/foru...0a1.php?step=4 Referrer : http://www.theamericanmommy.com/foru...0a1.php?step=3 IP Address : 74.103.61.194 Username : Classname : vB_Database MySQL Version : 5.0.67.d7-ourdelta-log
    Laura

    Site Admin of www.TheAmericanMommy.com and a local mommy group site. Both are Free groups open to moms.

  • #2
    The install is now "stuck" can't go back and try and undo anything and can't go forward.

    Seriously unlikely to upgrade my software on my bigger site. This is a pain in the a$$.
    Laura

    Site Admin of www.TheAmericanMommy.com and a local mommy group site. Both are Free groups open to moms.

    Comment


    • #3
      It resolved when i reuploaded the 4.0 installation files THREE times.
      Laura

      Site Admin of www.TheAmericanMommy.com and a local mommy group site. Both are Free groups open to moms.

      Comment


      • #4
        If you cannot log into the Admin CP then to disable the plugin system, edit config.php and add this line right under <?php

        define('DISABLE_HOOKS', true);

        This will disable all hooks and allow you to log in properly with no hooks running.

        http://www.vbulletin.com/docs/html/disable_plugins

        Comment


        • #5
          Originally posted by kordasspiros View Post
          If you cannot log into the Admin CP then to disable the plugin system, edit config.php and add this line right under <?php

          define('DISABLE_HOOKS', true);

          This will disable all hooks and allow you to log in properly with no hooks running.

          http://www.vbulletin.com/docs/html/disable_plugins
          Yes, I've done that, but it made no difference. I have gotten past THIS error, but am stuck on the next error which reads:

          Warning: Cannot modify header information - headers already sent by (output started at /home/content/a/m/e/americanmommy/html/forums/includes/config.php:1) in /home/content/a/m/e/americanmommy/html/forums/includes/functions.php on line 3736

          Warning: Cannot modify header information - headers already sent by (output started at /home/content/a/m/e/americanmommy/html/forums/includes/config.php:1) in /home/content/a/m/e/americanmommy/html/forums/includes/functions.php on line 3737

          My config.php does have the

          define('DISABLE_HOOKS', true); as the second line of the file (immediately under the <?php)
          Laura

          Site Admin of www.TheAmericanMommy.com and a local mommy group site. Both are Free groups open to moms.

          Comment


          • #6
            When just going to my forums admincp page (or the forum page), the error reads

            



            Unable to add cookies, header already sent.
            File: /home/content/a/m/e/americanmommy/html/forums/includes/config.php
            Line: 1

            The first two lines of my config.php file are:

            <?php
            define('DISABLE_HOOKS', true);
            If I try to continue the upgrade process (it appears that the conversion to 4.0 alpha either completed or near completed), I get the errors I listed above.

            Very frustrating and more than a little aggravating not to be able to move forward at all.

            Thanks so much for ANY help that can resolve this.
            Laura

            Site Admin of www.TheAmericanMommy.com and a local mommy group site. Both are Free groups open to moms.

            Comment


            • #7
              Why are you trying to install the alpha?

              First suggestion I can offer at this point is to make sure that your PHP files are being uploaded in ASCII mode and your images in binary mode. That'll mess you up every time if you don't get that straight. Most FTP clients will handle it automatically based on file extension, but sometimes you have to set the mode in the client.
              Anybody who says "it can't be done" will usually be interrupted by somebody who is already doing it.

              Comment


              • #8
                I'm NOT trying to install the alpha -- when you install the upgrade, it installs ALL of the iterations of the product between your current version and the latest version (you may not realize this unless you are paying attention to what it says as you go through each step of the install). I knew this and expected it (because that is what it does and has done each and every time since I purchased 3.6) , but can't get completely through the upgrade script. (I didn't tell it to install the alpha version -- I simply typed my forum path/install/upgrade.php.

                I've also reinstalled the entire set of files four times now. And have used two different ftp clients. I'm probably going to sleep on it, then delete all the files, revert to my backup and stick with the 3.8 vbulletin until it expires and then figure out where I'm going from there because this is a total mess and nothing like the earlier upgrades. I have neither the time nor the desire to muck about with something that is supposed to be production and can't get a clean and simple install.
                Laura

                Site Admin of www.TheAmericanMommy.com and a local mommy group site. Both are Free groups open to moms.

                Comment


                • #9
                  Gotcha. Yes, I'm aware that it installs through all the phases, it's just the way that you worded it that made me think you were trying to install an alpha version. My guess is still that the php files were uploaded in binary mode rather than ascii mode. When uploading from a pc you have to use ascii mode to strip out the cr/lf pairs that will totally fubar your installation.
                  Anybody who says "it can't be done" will usually be interrupted by somebody who is already doing it.

                  Comment


                  • #10
                    yes, I have reinstalled several times making sure they are ascii. Still getting the same error.
                    Laura

                    Site Admin of www.TheAmericanMommy.com and a local mommy group site. Both are Free groups open to moms.

                    Comment


                    • #11
                      I'd suggest you download the installation package again then. The first line of your SQL syntax is definitely incorrect, and if you've re-uploaded your files making sure they're in ascii mode, and you're still getting this, then you obviously have a problem with the package. If you download it again, upload the files again making sure you use the proper format, and still have the problem... all I can suggest is opening a ticket with vBulletin over the issue.
                      Anybody who says "it can't be done" will usually be interrupted by somebody who is already doing it.

                      Comment


                      • #12
                        I've deleted EVERYTHING and am starting from scratch. All off my server, all off my hard drive and starting as a new install. This product will absolutely, definitely NOT be installed on my main board unless the major issues are addressed. I can't have my main board down for hours on end, and quite honestly, I'm not convinced the new version is an improvement for OUR needs.
                        Laura

                        Site Admin of www.TheAmericanMommy.com and a local mommy group site. Both are Free groups open to moms.

                        Comment


                        • #13
                          Well kick back, crack a beer, and wait for Jan 7 when whe're supposed to get another look at it with 4.0.1. I know a lot of people that are doing that... myself included. I'll even wait longer if need be. I'm not going to break perfectly functional sites just so I can be running the latest software. Never have, never will. I'll upgrade when the time is right.
                          Anybody who says "it can't be done" will usually be interrupted by somebody who is already doing it.

                          Comment


                          • #14
                            Laura, if we can keep the current problems to one thread, it will make support for these easier...
                            Vote for:

                            - *Admin Settable Paid Subscription Reminder Timeframe*
                            -
                            *PM - Add ability to reply to originator only*
                            - Add Admin ability to auto-subscribe users to specific channel(s)
                            - "Quick Route" Interface...

                            Comment

                            widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                            Working...
                            X